package ParsingCommonFiles.Parsing;

public class MeterReadingConstants
{
    public static final byte[] REQUEST_COMMAND = {0x2f, 0x3f, 0x21, 0x0d, 0x0a}; // /?!
    public static final byte[] ACK_COMMAND = {0x06, 0x30, 0x35, 0x30, 0x0D, 0x0A}; // 0 35 0
    public static final byte[] INITIAL_COMMAND = {0x43, 0x42, 0x52, 0x3A, 0x35, 0x45, 0x37}; // CBR:5E7
    public static final byte[] BREAK_COMMAND = {0x7F, 0x7F, 0x7F, 0x01, 0x42, 0x30, 0x03, 0x71};

    public static final byte[] JAM110_SERIAL_REQUEST = {0x01, 0x52, 0x31, 0x02, 0x30, 0x30, 0x28, 0x31, 0x30, 0x29, 0x03, (byte)0x9A};
    public static final byte[] JAM110_DATE_TIME_REQUEST = {0x01, 0x52, 0x31, 0x02, 0x30, 0x36, 0x28, 0x31, 0x30, 0x29, 0x03, 0x64};
    public static final byte[] JAM110_POWER_REQUEST = {0x01, 0x52, 0x33, 0x02, 0x30, 0x35, 0x28, 0x31, 0x30, 0x29, 0x03, 0x65};

    public static final byte[] EVAN_INITIAL_COMMAND = {0x43, 0x42, 0x52, 0x3A, 0x34, 0x4e, 0x38}; // CBR:4N8
    public static final byte[] EVAN1010_AA_REQUEST = new byte[] {(byte) 0xaa};
    public static final byte[] EVAN1010_SERIAL_REQUEST = new byte[] { 0x2f, 0x3f, 0x42, 0x42, 0x53, 0x21, 0x0d, 0x0a };
    public static final byte[] EVAN1010_READ_OUT_REQUEST = new byte[] {0x06, 0x30, 0x34, 0x38, 0x0d, 0x0a};
    public static final byte[] EVAN1010_READ_MORE_REQUEST = new byte[] {0x06};

    public static final String TEXT_FILE_NAME = "Electricity_Meters_Data.txt";
    public static final String PARSED_TEXT_FILE_NAME = "Meters_Parsed_Data.txt";
    public static final String TEXT_FOLDER_NAME = "KavooshCo";
    public static final String LINE_DELIMITER = "________________________________________\n";
}